
#ifndef COBJECT_H
#define COBJECT_H

#include <qopengl.h>
#include <QVector>
#include <QVector3D>

class CObject
{
public:
    CObject();
    const GLfloat *constData() const { return m_data.constData(); }
    int count() const { return m_count; }
    int vertexCount() const { return m_count / 6; }

private:
    void add(const QVector3D &v, const QVector3D &n);
    void cube(GLfloat ww, GLfloat hh, GLfloat dd);
    void quad3(GLfloat x1, GLfloat y1, GLfloat z1,
               GLfloat x2, GLfloat y2, GLfloat z2,
               GLfloat x3, GLfloat y3, GLfloat z3,
               GLfloat x4, GLfloat y4, GLfloat z4);

    QVector<GLfloat> m_data;
    int m_count;
};

#endif // COBJECT_H

